Use GET /Payment/CardPaymentMethods/{registrationId} to list saved card payment methods for a registered customer.
Endpoint
- URL:
https://api.synchpay.com/Payment/CardPaymentMethods/{registrationId}
- Method:
GET
- Authorization:
Bearer <AccessToken>
The access token is obtained from /auth/token using your ClientId and ClientSecret.
Parameters
| Parameter | Location | Type | Description | Required |
|---|
registrationId | Path | string | Unique ID of the user registration. | Yes |
companyId | Query | string | SynchPay company ID. | No |
companyReferenceId | Query | string | Your external company reference ID. | No |
Use either companyId or companyReferenceId when the saved cards should be scoped to a specific company.
Example Request
GET /Payment/CardPaymentMethods/6e8d9257-bd5f-45cf-8f29-6d0ae8a6d991?companyReferenceId=loc-001 HTTP/1.1
Host: api.synchpay.com
Authorization: Bearer eyJhbGciOi...
Response
| Field | Type | Description |
|---|
RegistrationId | string | User registration ID. |
PaymentMethods | array | Saved card payment methods. |
Payment Method Object
| Field | Type | Description |
|---|
Id | string | Saved payment method ID. |
Type | string | Payment method type. |
Brand | string | Card brand, when available. |
Last4 | string | Last four card digits, when available. |
ExpMonth | integer | Expiration month, when available. |
ExpYear | integer | Expiration year, when available. |
{
"RegistrationId": "6e8d9257-bd5f-45cf-8f29-6d0ae8a6d991",
"PaymentMethods": [
{
"Id": "pm_123",
"Type": "card",
"Brand": "visa",
"Last4": "4242",
"ExpMonth": 12,
"ExpYear": 2028
}
]
}